package client.graphics;

import java.awt.Graphics2D;
/**
 * Interface for the GraphicObject. 
 * All objects that are drawn will implement this interface.
 *
 */
public interface GraphicObject extends Comparable<GraphicObject>{
	public int getYLoc();// for use when sorting list by Y position
	public void draw(Graphics2D g);
}
