package client.graphics.components;

import java.awt.image.BufferedImage;

import shared.models.Item;
/**
 * 
 * Button used in the Inventory window.
 */
public class InventoryButton extends WowButton {

	private Item item;
	
	public InventoryButton(BufferedImage up, BufferedImage down, int location,
				int location2, boolean toggleOn, boolean mouseOver, Item item) {
		
		super(up,up,down, up, up, location, location2, toggleOn, mouseOver);

		this.item = item;
	}

	public Item getItem() {
		return item;
	}

	public void setItem(Item item) {
		this.item = item;
	}

}
