package client.graphics.components;

import java.awt.Color;
import java.awt.Graphics2D;
/**
 * PasswordField component.
 *
 */
public class WowPasswordField extends WowTextField {

	public WowPasswordField(int location, int location2, int width,
			String initalText, keyBoardFocusHandler keyBoardFocusHandler, boolean mouseOver) {
		super(location, location2, width, initalText, keyBoardFocusHandler, mouseOver);
	}
	
	/**
	 * Draws the PasswordField.
	 * All letters are replaced by a *(star)
	 */
	public void draw(Graphics2D g) {
		
		
		
		if(isInitText()){
			super.draw(g);
		}
		else{
			
			
			g.setBackground(Color.GRAY);
			g.drawRect(getXLocation(), getYLocation(), super.getWidth(), super.getHeight());
			g.setColor(Color.BLACK);
			
			String stars = "";
			for (int i = 0; i < getText().length(); i++) {
				stars += "*";
			}
			g.drawString(drawSubString(stars), getXLocation()+ 5, getYLocation() + getHeight()  - 2);
		}
		

	}

}
