package editor.graphics.editorPanels.mapEditorPanels;

import java.awt.Image;

import javax.swing.ImageIcon;
/**
 * Class for displaying backgroundtiles as icon in the List for placeables.
 * @author thorgrun
 *
 */
public class TileIcon extends ImageIcon{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String tileName;
	
	public TileIcon(Image img,String tileName){
		super(img.getScaledInstance(35, 35, Image.SCALE_DEFAULT));
		
		this.tileName = tileName;
	}
	public String getTileName() {
		return tileName;
	}
}
