package lobbyServer.clientSessionHandler;

import java.util.Date;

import shared.models.Player;
/** Class for the data concerning a connected client. This is just the
 * 	standard data, communication-specific data and functionality is handled
 * 	in the ClientHandler.
 * 
 * @author Henrik
 *
 */
public class ClientFile {
	private String sessionId;
	private Date connected;
	private Player playerObject;
	
	public ClientFile(){
		
		connected = new Date();
		playerObject = new Player("dummy", "dummy");
	}

	public String getUserName() {
		return playerObject.getName();
	}

	public void setUserName(String userName) {
		playerObject.setName(userName);
	}

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public Date getConnected() {
		return connected;
	}

	public Player getPlayerObject() {
		return playerObject;
	}

	public void setPlayerObject(Player playerObject) {
		this.playerObject = playerObject;
	}
	
	
	
	
	
}