package lobbyServer.network;

import java.net.Socket;

import lobbyServer.clientSessionHandler.LobbyControl;

import shared.network.ConnectionListener;
import shared.network.NetworkServer;
/**
 * Listens for World servers.
 *
 */
public class WorldServerListener implements ConnectionListener{
	public WorldServerListener(int listenPort){
		new NetworkServer(listenPort,this);
	}

	public void newConnectionReceived(Socket newSocket) {
		LobbyControl.getLobbyControl().newWorldServerConnectionReceived(newSocket);
		
	}
}
