package shared.models;

import java.io.Serializable;
/**
 * 
 * Holds information on an effect.
 */
public class Effect implements Serializable{
	
	private static final long serialVersionUID = 1L;
	private String name;
	private int duration;
	private Attributes attributes;
	private int damagePrSec;
	
	public Effect(String name, int duration, Attributes attribute, int damagePrSec){
		this.name = name;
		this.duration = duration;
		this.attributes = attribute;
		this.damagePrSec = damagePrSec;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getDuration() {
		return duration;
	}

	public void setDuration(int duration) {
		this.duration = duration;
	}

	public Attributes getAttributes() {
		return attributes;
	}

	public void setAttributes(Attributes attributes) {
		this.attributes = attributes;
	}

	public int getDamagePrSec() {
		return damagePrSec;
	}

	public void setDamagePrSec(int damagePrSec) {
		this.damagePrSec = damagePrSec;
	}
}
