package shared.models;

import java.io.Serializable;
import java.util.ArrayList;

import sun.net.www.content.audio.x_aiff;

/**
 * 
 * @author Esben Fllesdal
 * @see PlayableCharacter
 * @see Serializable
 */
public class StudentAssistant extends PlayableCharacter implements Serializable {

	private static final long serialVersionUID = 1L;

	public StudentAssistant(String name, Gender sex, int LVL,
			Attributes attribute, 
			ArrayList<Item> inventory, int playerId,
			PlayableClasses playerClass, String respawnPoint, int money,
			ArrayList<Attack> physicalAttackList,
			ArrayList<Attack> magicalAttackList,
			String imagePath,
			Item equipedItemHead, Item equipedItemLeftRing,	Item equipedItemRightRing,
			Item equipedItemLeftArm, Item equipedItemRightArm,	Item equipedItemBody,
			Item equipedItemLegs, Item equipedItemAmulet, int XP) {
		super(name, sex, LVL,  attribute, inventory, playerId, playerClass,
				respawnPoint, money, physicalAttackList, magicalAttackList, imagePath, 
				equipedItemHead,  equipedItemLeftRing,	 equipedItemRightRing,
				 equipedItemLeftArm,  equipedItemRightArm,	 equipedItemBody,
				 equipedItemLegs,  equipedItemAmulet, XP);
	}
}
