package shared.network.messages;
/**
 * 
 * Message that holds information of a chatmessage.
 */
public class ChatMessage extends Message{
	private String fromName;
	private String toChannel;
	public ChatMessage(String sourceId, String targetId, String message,String fromName,String toChannel) {
		super(sourceId, targetId, message, MessageType.CHATMESSAGE);
		this.fromName = fromName;
		this.toChannel = toChannel;
	}
	public String getFromName() {
		return fromName;
	}
	public String getToChannel() {
		return toChannel;
	}

}
