package shared.network.messages;
/**
 * 
 * Message that holds login information.
 */
public class LoginMessage extends Message {

	private String userName;
	private String password;
	
	public LoginMessage(String sourceId,String targetId,String message, String userName, String password){
		super(sourceId, targetId, message, MessageType.LOGIN );
		this.userName = userName;
		this.password = password;
		
		
	}

	public String getUserName() {
		return userName;
	}

	public String getPassword() {
		return password;
	}
	
}
