package shared.network.messages;
/**
 * 
 * Message that holds an object.
 */
public class ObjectMessage extends Message {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Object object;
	private ObjectType ObjectType;
	private String sessionId;
	
	public ObjectMessage(String sourceId, String targetId, String message,
			MessageType messageType, Object object, ObjectType ObjectType,
			String sessionId) {
		super(sourceId, targetId, message, messageType);
		this.object = object;
		this.ObjectType = ObjectType;
		this.sessionId = sessionId;
	}

	public Object getObject() {
		return object;
	}

	public void setObject(Object object) {
		this.object = object;
	}

	public ObjectType getObjectType() {
		return ObjectType;
	}

	
	
	public String getSessionId() {
		return sessionId;
	}

	public void setObjectType(ObjectType objectType) {
		ObjectType = objectType;
	}
	
	
	

}
