package shared.network.messages;

public enum ObjectType {

	PLAYER,
	IDENTIFICATION_ERROR, 	//when the username and/or password is incorrect
	BANNED_PLAYER_LIST_HASH, 		//all the banned players, as a hash map
	BANNED_INFO,			//a single banned player with the neccesary information
	SHORT_CHARACTER_LIST,			//all characters to a player
	WORLDSERVER_INFO,		//the information about a worldserver, used to register a server with the lobbyserver
	CHARACTER_OBJECT,		//a character obejct 
	KINGDOM_INFO_LIST,		//a list with all the kingdoms and characters avaliable to a player
	KINGDOM_ACCESS_LIST, 	//a list of kingdoms accessable
	KINGDOM_NAME_LIST,
	PLAYER_NAME_LIST,
	ZONE_NAME_LIST,
	ZONE_TEMPLATE,
	ENEMY_NPC_HASHMAP,	//an arraylist with enemyNPCObject
	ENEMY_NPC,				//an enemyNPC object
	FRIENDLY_NPC,
	FRIENDLY_NPC_HASHMAP,
	SIMPLE_ZONE,				//the information about a zone sent to client ( ws -> c )
	TOPIC_LIST,
	STATIC_OBJECT_LIST,
	STATIC_OBJECT,
	QUESTION_LIST,			//an arraylist of questions
	QUESTION, 				//a question
	QUESTION_MESSAGE,		//a message containing the a question message
	INTEGER,			//a simple integer object
	MAGICAL_ATTACK_LIST,
	PHYSICAL_ATTACK_LIST,
}
