package shared.network.messages;
/**
 * Request a list over characters.
 *
 */
public class RequestShortCharacterListMessage extends Message {

	private String userName;
	private String sessionID;
	
	public RequestShortCharacterListMessage(String sourceId,String targetId,String message, String userName, String sessionID){
		super(sourceId, targetId, message, MessageType.REQUEST_SHORT_CHARACTERS );
		this.userName = userName;
		this.sessionID = sessionID;
		
	}

	public String getUserName() {
		return userName;
	}

	public String getSessionID(){
		return sessionID;
	}
	
}
