package shared.network.messages.actions;

public class ChangeZoneMessage extends ActionMessage{

	private String destinationZone;
	private int destinationId;

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public ChangeZoneMessage(String sourceId, String targetId, String message,
			String actionId, String destinationZone, int destinationId) {
		super(sourceId, targetId, message, actionId, ActionType.CHANGE_ZONE);
		
		this.destinationZone = destinationZone;
		this.destinationId = destinationId;
	}
	
	public String getDestinationZone(){
		return destinationZone;
	}
	public int getDestinationId(){
		return destinationId;
	}
}
