package shared.network.messages.actions;
/**
 * Holds information about the killer, and who was killed.
 * @author thorgrun
 *
 */
public class IsDeadMessage extends ActionMessage{
	private String nameOfKiller;
	public IsDeadMessage(String sourceId, String targetId, String message,
			String actionId,String nameOfKiller) {
		super(sourceId, targetId, message, actionId, ActionType.IS_DEAD);
		this.nameOfKiller = nameOfKiller;
	}

	public String getNameOfKiller() {
		return nameOfKiller;
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
}
