package shared.network.messages.actions;

import shared.models.SimpleCharacter;
/**
 * Holds information about joining a zone.
 * @author thorgrun
 *
 */
public class JoinZoneMessage extends ActionMessage{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String zoneId;
	private SimpleCharacter character;
	public JoinZoneMessage(String sourceId, String targetId, String message,
			String actionId,String zoneId,SimpleCharacter character) {
		super(sourceId, targetId, message, actionId, ActionType.JOIN_ZONE);
		this.zoneId = zoneId;
		this.character = character;
	}
	
	public String getZoneId() {
		return zoneId;
	}
	
	public SimpleCharacter getCharacter() {
		return character;
	}
	
}
