package shared.network.messages.actions;

import shared.models.Location;

public class UpdatePlacementMessage extends ActionMessage{
	private Location newLocation;
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public UpdatePlacementMessage(String sourceId, String targetId,
			String message, String actionId,Location newLocation) {
		super(sourceId, targetId, message, actionId, ActionType.UPDATE_POSITION);
		this.newLocation = newLocation;
	}
	public Location getNewLocation(){
		return newLocation;
	}
}
