package shared.serverHelpers;

import java.io.Serializable;
import java.sql.Timestamp;
/**
 * Holds Information about a Ban.
 * @author Esben Fllesdal
 *
 */
public class BanInfo implements Serializable{

	private static final long serialVersionUID = 1L;
	private int playerId;
	private String reason;
	private Timestamp timeStamp;
	private int banId;
	private String playerName;
	
	public BanInfo(int playerId, String reason, Timestamp timeStamp, int banId, String playerName){
		this.playerId = playerId;
		this.reason = reason;
		this.timeStamp = timeStamp;
		this.banId = banId;
		this.playerName = playerName;
	}

	public int getPlayerId() {
		return playerId;
	}

	public void setPlayerId(int playerId) {
		this.playerId = playerId;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public Timestamp getTimeStamp() {
		return timeStamp;
	}

	public void setTimeStamp(Timestamp timeStamp) {
		this.timeStamp = timeStamp;
	}

	public int getBanId() {
		return banId;
	}

	public String getPlayerName() {
		return playerName;
	}
	
	
}