package lobbyServer.authenticate;

import shared.models.Player;
/**
 *  Result of the ClientAuthentication.
 *
 */
public class AuthenticationResult {

	private AuthenticationResultType type;
	private String authenticationMessage;
	private Player player;
	
	public AuthenticationResult(AuthenticationResultType type, String message){
		this.type = type;
		this.authenticationMessage = message;
	}
	
	public AuthenticationResult(AuthenticationResultType type, String message, Player player){
		this(type, message);
		this.player = player;
	}

	public AuthenticationResultType getType() {
		return type;
	}

	public String getAuthenticationMessage() {
		return authenticationMessage;
	}

	public Player getPlayer() {
		return player;
	}

	
	
}
