package lobbyServer.network;

import java.net.Socket;

import lobbyServer.clientSessionHandler.LobbyControl;

import shared.network.ConnectionListener;
import shared.network.NetworkServer;
/**
 * Listens for clients.
 *
 */
public class ClientListener implements ConnectionListener{
	public ClientListener(int listenPort){
		new NetworkServer(listenPort,this);
	}

	@Override
	public void newConnectionReceived(Socket newSocket) {
		LobbyControl.getLobbyControl().newClientConnectionReceived(newSocket);
		
	}
}
