package shared.models;

import java.io.Serializable;

/**
 * This class contains a Answer object
 * @author Esben Fllesdal
 *
 */
public class Answer implements Serializable {

	private static final long serialVersionUID = 1L;
	private int answerId;
	private boolean correctAnswer;
	private String answerText;
	
	/**
	 *
	 * @param answerId
	 * @param correctAnswer
	 * @param answerText
	 */
	public Answer(int answerId, boolean correctAnswer, String answerText){
		this.answerId = answerId;
		this.correctAnswer = correctAnswer;
		this.answerText = answerText;
	}

	public int getAnswerId() {
		return answerId;
	}

	public void setAnswerId(int answerId) {
		this.answerId = answerId;
	}

	public boolean isCorrectAnswer() {
		return correctAnswer;
	}

	public void setCorrectAnswer(boolean correctAnswer) {
		this.correctAnswer = correctAnswer;
	}

	public String getAnswerText() {
		return answerText;
	}

	public void setAnswerText(String answerText) {
		this.answerText = answerText;
	}
}
