package shared.models;

import java.io.Serializable;

/**
 * This class contains a armour object
 * @author Esben Fllesdal
 * @see Item
 */
public class Armour extends Item implements Serializable {

	private static final long serialVersionUID = 1L;
	
	public Armour(int itemId, String name, Attributes attribute, int range,
			int price, Attributes requiredAttribute, Effect effect, 
			String imagePath, EquipLocation equipLocation) {
		super(itemId, name, attribute, range, price, requiredAttribute, effect, imagePath, equipLocation);
	}
}