package shared.models;

import shared.models.helpers.EnumHelpers;

/**
 * 
 * @author Henka
 *
 *	enumeration for the different attributes of a character
 *  @see EnumHelpers
 */
public enum AttributeTypes {

	HP,
	MP,
	STR,
	INT,
	DEX,
	CON,
	MAX_HP,
	MAX_MP,
	PIERCING_DEF,
	BLUNT_DEF,
	SLASHING_DEF,
	FIRE_DEF,
	WATER_DEF,
	EARTH_DEF,
	AIR_DEF,
	PIERCING_OFF,
	BLUNT_OFF,
	SLASHING_OFF,
	FIRE_OFF,
	WATER_OFF,
	EARTH_OFF,
	AIR_OFF
}
