package shared.models;

import java.io.Serializable;
/**
 * Holds information of a X,Y location.
 *
 */
public class Location implements Serializable{

	private static final long serialVersionUID = 1L;
	private double x;
	private double y;
	public Location(double x,double y){
		this.x = x;
		this.y = y;
	}
	public int getX() {
		return (int)x;
	}
	public double getXDouble() {
		return x;
	}
	public void setX(double x) {
		this.x = x;
	}
	public int getY() {
		return (int)y;
	}
	public double getYDouble() {
		return y;
	}
	public void setY(double y) {
		this.y = y;
	}
	public String toString(){
		return x+"-"+y;
	}
}
