package shared.models;

import java.io.Serializable;

/**
 * 
 * Holds information about a player.
 */
public class Player implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String name;
	private String email;
	private int playerId;
	
	/**
	 * 
	 * @param name
	 * @param email
	 */
	public Player(String name,String email){
		this.name = name;
		this.email= email;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getEmail() {
		return email;
	}
	
	public void setEmail(String email) {
		this.email = email;
	}
	
	public int getPlayerId() {
		return playerId;
	}
	
	public void setPlayerId(int playerId) {
		this.playerId = playerId;
	}
}
