package shared.network.messages;
/**
 * 
 *Requests kingdom access.
 */
public class RequestKingdomAccessMessage extends Message {

	private String sessionID;
	private String userName;
	
	public RequestKingdomAccessMessage(String sourceId,String targetId,String message, String sessionID, String userName){
		super(sourceId, targetId, message, MessageType.REQUEST_KINGDOM_ACCESS );
		this.userName = userName;
		this.sessionID = sessionID;
		
		
	}

	public String getUserName() {
		return userName;
	}

	public String getSessionID() {
		return sessionID;
	}

	
	
}