package shared.network.messages;
/**
 * 
 * A message for requesting a zone.
 */
public class RequestZoneMessage extends Message{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String zoneId;
	public RequestZoneMessage(String sourceId, String targetId, String message,
			MessageType messageType,String zoneId) {
		super(sourceId, targetId, message, messageType);
		this.zoneId = zoneId;
	}
	public String getZoneId() {
		return zoneId;
	}


}
