package shared.network.messages.actions;

import shared.models.Location;
/**
 * Holds information about the current and target location of a NPC or player.
 * @author thorgrun
 *
 */
public class MovementMessage extends ActionMessage{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Location currentLocation;
	private Location targetLocation;
	public MovementMessage(String sourceId, String targetId, String message, String actionId, Location currentLocation,Location targetLocation) {
		super(sourceId, targetId, message, actionId,ActionType.MOVEMENT);
		this.currentLocation = currentLocation;
		this.targetLocation = targetLocation;
	}
	public Location getCurrentLocation() {
		return currentLocation;
	}
	public Location getTargetLocation() {
		return targetLocation;
	}

	

}
