package shared.network.messages.actions;
/**
 * 
 * Holds updated information about the health of a NPC or Player.
 */
public class UpdateHealthMessage extends ActionMessage{
	private boolean hit;
	private int currentHealth;
	public UpdateHealthMessage(String sourceId, String targetId,
			String message, String actionId,boolean hit,int currentHealth) {
		super(sourceId, targetId, message, actionId, ActionType.UPDATE_HEALTH);
		this.hit = hit;
		this.currentHealth = currentHealth;
	}

	public boolean isHit() {
		return hit;
	}

	public int getCurrentHealth() {
		return currentHealth;
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

}
