package worldServer.messageHandler;

import shared.models.PlayableCharacter;
import shared.models.SimpleZone;
import shared.network.messages.Message;
/**
 * Interface for handling messages to the GameWorld
 * @author thorgrun
 *
 */
public interface MessageHandlerForWorld {
	public void getMessage(String zoneId,Message message);
	public void lostConnection(String clientId);
	public void addClientToZone(String clientId,String zoneId,PlayableCharacter character);
	public SimpleZone getSimpleZone(String zoneId);
	public void sendMessageToClient(String clientId,Message msg);
	
}
